<?php

if( !defined( 'TYPO3_MODE' ) )
{
	die( 'Access denied.' );
}

/* * ****************************************************************************
 * Set TYPO3 version
 * **************************************************************************** */

// #t0606, 160216, dwildt, +
list( $main, $sub, $bugfix ) = explode( '.', TYPO3_version );
$version = ( ( int ) $main ) * 1000000;
$version = $version + ( ( int ) $sub ) * 1000;
$version = $version + ( ( int ) $bugfix ) * 1;

/* * ****************************************************************************
 * Include static templates
 * **************************************************************************** */

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, 'Configuration/TypoScript/Page/', 'Launch [0] Page' );
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile( $_EXTKEY, 'Configuration/TypoScript/Installer/', 'Launch [1] Installer' );

/* * ****************************************************************************
 * Plugin 1 configuration: Installer
 * **************************************************************************** */

TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
				$_EXTKEY
				, 'Pi1'
				, 'LLL:EXT:launch/Resources/Private/Language/Installer.xlf:tt_content.Installer'
				, TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath( $_EXTKEY ) . 'ext_icon.svg'
);
$pluginSignature = str_replace( '_', '', $_EXTKEY ) . '_pi1';
$TCA[ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_excludelist' ][ $pluginSignature ] = 'layout,select_key,pages,recursive';
$TCA[ 'tt_content' ][ 'types' ][ 'list' ][ 'subtypes_addlist' ][ $pluginSignature ] = 'pi_flexform';
TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue(
				$pluginSignature, 'FILE:EXT:' . $_EXTKEY . '/Configuration/FlexForms/Installer/flexform.xml'
);
TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPlugin(
				[
		'LLL:EXT:launch/Resources/Private/Language/Installer.xlf:tt_content.Installer'
		, $pluginSignature
		, 'EXT:launch/ext_icon.svg'
				]
				, 'list_type'
);